package de.opalpiraten.scenepainter.gui.render;

/**
 * Implementors of this interface can register with a Scene and get
 * informed whenever the scenes content changed
 */
public interface SceneListener {
  
  /**
   * Called whenever the user completed any editing of the Scene
   * @param src the scene that was changed.
   */
  public void sceneChanged(Scene src);
}