package de.opalpiraten.scenepainter.tools.skelleton;
import de.opalpiraten.scenepainter.tools.*;
import java.awt.event.*;
import javax.swing.*;
import java.awt.*;
import de.opalpiraten.scenepainter.sys.*;

/**
 * For Plugin into scenepainter
 */ 
public class Hook implements Tool, ActionListener {

  private JMenu menu = new JMenu(Dict.get("tools.skelleton.hook"));
  private JMenuItem items[] = {
    new JMenuItem(Dict.get("tools.skelleton.hook.skelletontool")),
  };
  
  public Hook() {
    for (int i=0;i<items.length;i++) {
      menu.add(items[i]);
      items[i].addActionListener(this);
    }
  }
  
  public Component getHook() {
    return menu;
  }
  
  public void actionPerformed(ActionEvent e) {
    Object src = e.getSource();
    JInternalFrame frame = null;
    if (src==items[0]) frame = new SkelletonTool();
    
    if (frame !=null) {
      Core.workspace.add(frame);
      frame.setVisible(true);   
    }
  }
}